Package org.apache.datasketches.tuple

# Interface UpdatableSummary<U>

Type Parameters:
  `U` - type of update value

All Superinterfaces:
  `Summary`

All Known Implementing Classes:
  `ArrayOfStringsSummary`, `DoubleSummary`, `IntegerSummary`

public interface UpdatableSummary<U> extends Summary
Interface for updating user-defined Summary

## Method Summary

Modifier and Type
Method
Description
`UpdatableSummary<U>`
`update(U value)`
This is to provide a method of updating summaries.

### Methods inherited from interface org.apache.datasketches.tuple.Summary

`copy, toByteArray`

## Method Details

### update

UpdatableSummary<U> update(U value)
This is to provide a method of updating summaries. This is primarily used internally.

Parameters:
  `value` - update value
Returns:
  this